import { Meta, Canvas, Controls } from "@storybook/blocks";
import * as ComponentStories from "./calculator.stories";

<Meta of={ComponentStories} name="Docs" />

# Calculator

Use the calculator component to calculate numbers depending on the checked state
of specific `ux-radio-button` or `ux-checkbox` components. <br />
For this, give the elements that can be checked the reference to the `ux-iws-calculator`
component that they apply to with the attribute `data-ux-calculator`. The value of this
data-attribute needs to be equal to the value of the attribute `calculator-id` given to
the relative `ux-iws-calculator`. For the values, give each element a value, either positive or
negative. This values will be summed up together with the `initial-value` given to the
`ux-iws-calculator` element. Look at the following story for a concrete example:

<Canvas of={ComponentStories.Default}></Canvas>

# With Matrix

The calculator can also be used by providing a matrix to the calculator and by using
`data-ux-calculator-type` attributes instead of `data-ux-calculator-value`

<Canvas of={ComponentStories.WithMatrix}></Canvas>

## Developer Documentation

<Controls />
